## python-click-didyoumean 0.0.3

=== Makefile ===
test:
	py.test --tb=short

publish:
	@python setup.py sdist register upload

=== debian/changelog ===
python-click-didyoumean (0.0.3-2) unstable; urgency=medium

  * Re-uploading source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:16:14 +0200

python-click-didyoumean (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #972353)

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 14:22:10 +0200

=== debian/control ===
Source: python-click-didyoumean
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-click,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click-didyoumean
Vcs-Git: https://salsa.debian.org/python-team/packages/python-click-didyoumean.git
Homepage: https://github.com/click-contrib/click-didyoumean

Package: python3-click-didyoumean
Architecture: all
Depends:
 python3-click,
 ${misc:Depends},
 ${python3:Depends},
Description: enables git-like did-you-mean feature in click
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This package add the feature to do git-like did-you-mean feature in click.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/v//" \
https://github.com/click-contrib/click-didyoumean/tags .*/[v]*(\d[brc\d\.]+)\.tar\.gz

## python-click-didyoumean 0.3.0

=== debian/changelog ===
python-click-didyoumean (0.3.0-2) unstable; urgency=medium

  * Team upload
  * autopkgtest: Set an dependency on pytest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Dec 2022 19:30:42 +0100

python-click-didyoumean (0.3.0-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Add basic default configuration
  * d/watch: Switch to version 4 and git mode
  * New upstream version 0.3.0
  * d/control: Update build dependencies
  * d/control: Set Rules-Requires-Root: no
  * d/rules: Adjust build system to use pybuild
  * d/python3-click-didyoumean.examples: Install also examples
  * d/copyright: Update years data and copyright holder
  * SalsaCI: Don't run BLC and ANY triggered calls
  * d/u/metadata: Add fields FAQ and Repository
  * autopkgtest: Add basic upstreasm test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Nov 2022 13:55:28 +0100

python-click-didyoumean (0.0.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 15:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
  python3-all,
- python3-setuptools,
 Build-Depends-Indep:
- python3-click,
-Standards-Version: 4.5.0
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-click <!nocheck>,
+ python3-poetry,
+ python3-pytest <!nocheck>
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click-didyoumean
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-click-didyoumean.git
 Homepage: https://github.com/click-contrib/click-didyoumean

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=click_didyoumean
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

## python-click-didyoumean 0.3.1

=== debian/changelog ===
python-click-didyoumean (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-poetry-core, not python3-poetry.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Jul 2024 17:43:25 +0100

python-click-didyoumean (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 May 2024 13:14:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-click <!nocheck>,
- python3-poetry,
+ python3-poetry-core,
  python3-pytest <!nocheck>
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-click,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      compression=gz, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//, \
      uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/v//" \
https://github.com/click-contrib/click-didyoumean.git \
      refs/tags/v@ANY_VERSION@
